require_relative "../lib/topchart"

describe Topchart do
  it "charts" do
    list1 = %w(a aa b c d)
    list2 = %w(a c e b d)

    chart = Topchart.new.chart(list1,list2)
    chart.should =~ [
      [2, "e"],
      [2, "c"],
      [0, "d"],
      [0, "a"],
      [-1, "b"]
    ]
  end

  it "case 2 newcomers" do
    list1 = %w(a b c d e)
    list2 = %w(a x b c y d e)

    chart = Topchart.new.chart(list1,list2)
    chart.should =~ [
      [5, "x"],
      [2, "y"],
      [0, "a"],
      [-1, "b"],
      [-1, "c"],
      [-2, "d"],
      [-2, "e"],
    ]
  end
end
